<?php

$author_writer_tp_theme_css = '';

//theme-color
$author_writer_tp_color_option = get_theme_mod('author_writer_tp_color_option');

// 1st color
$author_writer_tp_color_option = get_theme_mod('author_writer_tp_color_option', '#f59300');
if ($author_writer_tp_color_option) {
	$author_writer_tp_theme_css .= ':root {';
	$author_writer_tp_theme_css .= '--color-primary1: ' . esc_attr($author_writer_tp_color_option) . ';';
	$author_writer_tp_theme_css .= '}';
}

//hover color
$author_writer_tp_color_option_link = get_theme_mod('author_writer_tp_color_option_link');

if($author_writer_tp_color_option_link != false){
$author_writer_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover,span.meta-nav:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.more-btn a:hover,.book-tkt-btn a.bar-btn i:hover,.book-tkt-btn a.register-btn:hover, .more-btn a:hover,.wc-block-cart__submit-container a:hover,.wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link:hover{';
	$author_writer_tp_theme_css .='background: '.esc_attr($author_writer_tp_color_option_link).';';
$author_writer_tp_theme_css .='}';
}
if($author_writer_tp_color_option_link != false){
$author_writer_tp_theme_css .='a:hover,#theme-sidebar a:hover,.media-links i:hover, #footer a:hover, .readmore-btn a:hover{';
	$author_writer_tp_theme_css .='color: '.esc_attr($author_writer_tp_color_option_link).';';
$author_writer_tp_theme_css .='}';
}
if($author_writer_tp_color_option_link != false){
$author_writer_tp_theme_css .=' .readmore-btn a:hover,.book-tkt-btn a.bar-btn i:hover{';
$author_writer_tp_theme_css .='border-color: '.esc_attr($author_writer_tp_color_option_link).';';
$author_writer_tp_theme_css .='}';
}

//preloader//

$author_writer_tp_preloader_color1_option = get_theme_mod('author_writer_tp_preloader_color1_option');
$author_writer_tp_preloader_color2_option = get_theme_mod('author_writer_tp_preloader_color2_option');
$author_writer_tp_preloader_bg_option = get_theme_mod('author_writer_tp_preloader_bg_option');


if($author_writer_tp_preloader_color1_option != false){
$author_writer_tp_theme_css .='.center1{';
	$author_writer_tp_theme_css .='border-color: '.esc_attr($author_writer_tp_preloader_color1_option).' !important;';
$author_writer_tp_theme_css .='}';
}
if($author_writer_tp_preloader_color1_option != false){
$author_writer_tp_theme_css .='.center1 .ring::before{';
	$author_writer_tp_theme_css .='background: '.esc_attr($author_writer_tp_preloader_color1_option).' !important;';
$author_writer_tp_theme_css .='}';
}
if($author_writer_tp_preloader_color2_option != false){
$author_writer_tp_theme_css .='.center2{';
	$author_writer_tp_theme_css .='border-color: '.esc_attr($author_writer_tp_preloader_color2_option).' !important;';
$author_writer_tp_theme_css .='}';
}
if($author_writer_tp_preloader_color2_option != false){
$author_writer_tp_theme_css .='.center2 .ring::before{';
	$author_writer_tp_theme_css .='background: '.esc_attr($author_writer_tp_preloader_color2_option).' !important;';
$author_writer_tp_theme_css .='}';
}
if($author_writer_tp_preloader_bg_option != false){
$author_writer_tp_theme_css .='.loader{';
	$author_writer_tp_theme_css .='background: '.esc_attr($author_writer_tp_preloader_bg_option).';';
$author_writer_tp_theme_css .='}';
}

// footer-bg-color
$author_writer_tp_footer_bg_color_option = get_theme_mod('author_writer_tp_footer_bg_color_option');

if($author_writer_tp_footer_bg_color_option != false){
$author_writer_tp_theme_css .='#footer{';
	$author_writer_tp_theme_css .='background: '.esc_attr($author_writer_tp_footer_bg_color_option).' !important;';
$author_writer_tp_theme_css .='}';
}

// logo tagline color
$author_writer_site_tagline_color = get_theme_mod('author_writer_site_tagline_color');

if($author_writer_site_tagline_color != false){
$author_writer_tp_theme_css .='.logo h1 a, .logo p.site-title a{';
$author_writer_tp_theme_css .='color: '.esc_attr($author_writer_site_tagline_color).';';
$author_writer_tp_theme_css .='}';
}

$author_writer_logo_tagline_color = get_theme_mod('author_writer_logo_tagline_color');
if($author_writer_logo_tagline_color != false){
$author_writer_tp_theme_css .='p.site-description{';
$author_writer_tp_theme_css .='color: '.esc_attr($author_writer_logo_tagline_color).';';
$author_writer_tp_theme_css .='}';
}

// footer widget title color
$author_writer_footer_widget_title_color = get_theme_mod('author_writer_footer_widget_title_color');
if($author_writer_footer_widget_title_color != false){
$author_writer_tp_theme_css .='#footer h3{';
$author_writer_tp_theme_css .='color: '.esc_attr($author_writer_footer_widget_title_color).';';
$author_writer_tp_theme_css .='}';
}

// copyright text color
$author_writer_footer_copyright_text_color = get_theme_mod('author_writer_footer_copyright_text_color');
if($author_writer_footer_copyright_text_color != false){
$author_writer_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$author_writer_tp_theme_css .='color: '.esc_attr($author_writer_footer_copyright_text_color).';';
$author_writer_tp_theme_css .='}';
}

// header image title color
$author_writer_header_image_title_text_color = get_theme_mod('author_writer_header_image_title_text_color');
if($author_writer_header_image_title_text_color != false){
$author_writer_tp_theme_css .='.box-text h2{';
$author_writer_tp_theme_css .='color: '.esc_attr($author_writer_header_image_title_text_color).';';
$author_writer_tp_theme_css .='}';
}

// menu color
$author_writer_menu_color = get_theme_mod('author_writer_menu_color');
if($author_writer_menu_color != false){
$author_writer_tp_theme_css .='.main-navigation a{';
$author_writer_tp_theme_css .='color: '.esc_attr($author_writer_menu_color).';';
$author_writer_tp_theme_css .='}';
}

//Footer Font Weight
$author_writer_footer_copyright_title_font_weight = get_theme_mod( 'author_writer_footer_copyright_title_font_weight','');
if($author_writer_footer_copyright_title_font_weight == '100'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 100;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '200'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 200;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '300'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 300;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '400'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 400;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '500'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 500;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '600'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 600;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '700'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 700;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '800'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 800;';
$author_writer_tp_theme_css .='}';
}else if($author_writer_footer_copyright_title_font_weight == '900'){
$author_writer_tp_theme_css .='#footer .site-info p {';
    $author_writer_tp_theme_css .='font-weight: 900;';
$author_writer_tp_theme_css .='}';
}